$topnav-background-color: #222;

.navbar-nav{
    width: 87%;
    justify-content: flex-end;
}

.flag-icon{
    border-radius: 3px;
}
.slogan{
    margin-top: 14px;
    height: 28px;
    color: #004FA3 !important;
    font-size: 12px;
    letter-spacing: 0.3px;
    line-height: 14px;
}
.avatar-users:nth-child(2){
    position: relative !important;
    right: 20px !important;
    z-index: 8 !important;
}

.avatar-users:nth-child(3){
    position: relative !important;
    right: 40px !important;
     z-index: 6 !important;
}


.avatar-users:nth-child(4){
    position: relative !important;
    z-index: 4 !important;
    right: 60px !important;
} 

.avatar-users:nth-child(5){
    position: relative !important;
    z-index: 3 !important;
    right: 82px !important;
}

.avatar-users:nth-child(6){
    position: relative !important;
    right: 104px !important;
}

.avatar-users:nth-child(1){
    position: relative !important;
    z-index: 9 !important;
}

.image-cropper {
    width: 40px;
    height: 40px;
    position: relative;
    overflow: hidden;
    border-radius: 100%;
    border: 0px solid #fff;
    /*margin: 0 auto;
    margin-left: auto;*/
}
/*.user-avatar{
    display: inline;

    margin: 0 auto;

    margin-left: auto;

    margin-left: 0%;

    height: 50px;

    width: 50px;

    position: relative;

    top: -5px;

    left: -7px;
}*/

.user-avatar {
    display: inline;
    height: 100%;
    position: relative;
    object-fit: cover !important;
    top: 0px;
    left: 0px;
}

.chart{
    margin-top: 4px;
    height: 52px;
    padding-top: 4px;
    padding-bottom: 4px;
    margin-right: 52px;
    margin-left: -28px;
    overflow: hidden;
    width:4%;
}

.user{
    margin-top: 4px;
    // border: 1px solid #EAEAEA;
    // border-radius: 4px;
    height: 52px;
    padding-top: 4px;
    padding-bottom: 4px;
    margin-right: 52px;;
    // overflow: hidden;
}
.username{
    // height: 16px;
    // width: 74px;
    // color: #004FA3;
    font-size: 14px;
    font-weight: 500;
    line-height: 16px;
    position: relative;
    top: 14px;
}

.team{
    // height: 16px;
    // width: 74px;
    // color: #004FA3;
    font-size: 14px;
    font-weight: 500;
    line-height: 16px;
    margin-right: 10px;
    position: relative;
    top: 14px;
}
.lang{
    padding-top: 16px;
    margin-right: 28px;
}

.app-link{
    color: #212529;
    padding-top: 16px;
}

.pointer{
    cursor: pointer;
}
// .lang{
//     margin-top: 4px;
//     height: 48px;
//     width: 60px;;
//     border: 1px solid rgba(0,121,250,0.2);
//     border-radius: 4px;
//     margin-right: 20px;
//     background-color: #E6F2FF;
// }

// .lang:after{
//     content: "";
//       position: absolute;
//       display: block;
//       background: #E3ECF8;
//       border-radius: inherit;
//       border: inherit;
//       right: 5px;
//       top: 5px;
//       width: 100%;
//       height: 100%;
//       z-index: -1;
// }

// .app-link{
//     margin-top: 4px;
//     height: 48px;
//     width: 140px;
//     // padding-top: 5px;
//     border: 1px solid rgba(0,121,250,0.2);
//     border-radius: 4px;
//     margin-right: 20px;
//     background-color: #E6F2FF;
//     position: relative;
//     text-align: center;
// }

// .app-link:after{
//     content: "";
//       position: absolute;
//       display: block;
//       background: #E3ECF8;
//       border-radius: inherit;
//       border: inherit;
//       right: 5px;
//       top: 5px;
//       width: 100%;
//       height: 100%;
//       z-index: -1;
// }

a:hover {
    text-decoration: none;
}

.user-function{
    color: #616161;
    font-size: 12px;
    line-height: 14px;
    position: relative;
    top: -12px;
}
:host {
    .navbar {
        background-color: $topnav-background-color;
        .navbar-brand {
            color: #eee;
            margin-left: 8px;
            max-height: 40px;
            margin-top: 0.485rem !important;
            margin-bottom: 10px;
        }
        .nav-item > a {
            color: #999;
            &:hover {
                color: #eee;
            }
        }
    }
    .messages {
        width: 300px;
        .media {
            border-bottom: 1px solid #ddd;
            padding: 5px 10px;
            &:last-child {
                border-bottom: none;
            }
        }
        .media-body {
            h5 {
                font-size: 13px;
                font-weight: 600;
            }
            .small {
                margin: 0;
            }
            .last {
                font-size: 12px;
                margin: 0;
            }
        }
    }
}

.bg-light{
    height:  70px !important;
    background-color: #fff !important;
    box-shadow: 0 1px 0 0 #EAEAEA !important;
}
*:focus {
  outline: 0;
}
.modal-title{
    color: #1b4f9d;
    font-weight: bold;
    margin-bottom: 15px;
}
.modal-body{
   padding: 2.7rem;
}
#fermer{
    margin-top: -96px;float: right;padding-left: 50px;width: 50px;
}
#deco{
    margin-bottom: 0; padding-bottom: 20px;
}
#annuler{
    margin-right: 5px;color: #1b4f9d;
}
.nom{
    min-width: 135px;   color: #004FA3;    font-size: 14px;    line-height: 16px;
}
.nom2{
   min-width: 135px;   color: #004FA3;    font-size: 13px;    line-height: 16px;
}
.profil-user{

    border: 1px solid #EAEAEA;
    border-radius: 2px;
    background-color: #FFFFFF;
    position: absolute;
    margin-left: -50px;
    text-align: center;
    padding: 5px;
}
.connexion{
    height: 11px;
    width:100%;
    color: #616161;
    font-size: 10px;
    font-weight: 300;
    line-height: 11px;
}

.connexion2{
    height: 11px;
    width: 110px;
    color: #616161;
    font-size: 12px;
    font-weight: 300;
    line-height: 11px;
}

.on-hover:hover{
    border: 1px solid #1b4f99;
}
.on-focus:focus{
    border: 1px solid #1b4f99;
}
.width-img{
    max-width: 88px;
    float: left;
}
.marg-img{
    margin-left: 5px;
    width: 58px;
}

@media screen and (min-width: 375px) {
    #mobile-header{
        display: none;
    }
    #web-header{
        display: block;
    }
    .fermer{
        margin-top: -73px;float: right;padding-left: 50px;width: 50px;
    }
}

@media screen and (max-width: 375px) {
    #mobile-header{
        display: block;
    }
    #web-header{
        display: none;
    }
    .fermer{
        margin-top: -100px;float: right;padding-left: 50px;width: 50px;
    }
}

.user-row{
    margin-top:0px; margin-left:32px; max-width: 115px; float: left;
}
.img-user{
    height: 47px;border-radius: 20px;position: relative;bottom: 5px;
}
.deco{
    text-align: right;padding-right: 3px; width: 50px;
}
.lang-mobile{
    margin-top: -35px; border: none;
}
.nav-lang{
    margin-top: 4px;margin-left: 239px;width: 87px;text-align: center;border: 1px solid #EAEAEA;border-radius: 4px;
}
.flag-lang{
    font-size: 17px;margin-left: -5px;
}
.sub-menu{
    width: 89px;top: 82px;left: 241px;min-width: 89px;
}
.text-deco{
    margin-bottom: 0; padding-bottom: 20px;
}

.avatar-initial{
    position: absolute;
    top: 7px;
    z-index: 1000;
    color: white;
    right: 10px;
    font-weight: bolder;
}

.navbar-expand-lg .navbar-collapse.last_conn{
    /*flex-basis: min-content !important;*/
    flex-basis: 0% !important;
}

.disable-select {
  -webkit-user-select: none;  
  -moz-user-select: none;    
  -ms-user-select: none;      
  user-select: none;
}
// ::ng-deep .chart .popover,::ng-deep .section-lang .popover{
//     max-width: 171px !important;
//     height: 27px;
// }
// ::ng-deep .chart .popover-body, ::ng-deep .section-lang .popover-body{
//     font-size: 11px  ;
//     padding-top: 4px;
// }
::ng-deep{
    .popover{
        max-width: 171px !important;
        height: 27px;
    }
    .popover-body{
        font-size: 11px  ;
        padding-top: 4px; 
    }
    .section-app .popover{
        width: 194px;
        height: 58px;
    }
    .section-app .popover-body{
        max-width:240px !important;
    }
}



